package edu.wustl.cse.mobilab.openworkflow.comm;

import edu.wustl.cse.mobilab.openworkflow.auction.TaskBid;
import edu.wustl.cse.mobilab.openworkflow.workflow.Task;

//--------------------------------------------------------------------
/** (description of class)
 * @author Created by Louis Thomas on Nov 6, 2008. */
public interface AuctionQueryable {

    void startSolicitingBids(Task task, Listener listener);
    void stopSolicitingBids(Task task, Listener listener);

    interface Listener {
        void handleBid(Bidder bidder, TaskBid taskBid);
    }

    interface Bidder {
        void confirmBid(TaskBid taskBid);
        void rejectBid(TaskBid taskBid);
    }
}
