package edu.wustl.cse.mobilab.openworkflow.comm;

import edu.wustl.cse.mobilab.openworkflow.verify.Require;
import edu.wustl.cse.mobilab.openworkflow.workflow.CompositeWorkflow;

public class CompositeWorkflowWrapper implements java.io.Serializable {

    private static final long serialVersionUID = 1;
    private final CompositeWorkflow m_compositeWorkflow;

    public CompositeWorkflowWrapper(CompositeWorkflow compositeWorkflow) {
        Require.neqNull(compositeWorkflow, "compositeWorkflow");
        m_compositeWorkflow = compositeWorkflow;
    }

    public CompositeWorkflow getCompositeWorkflow() {
        return m_compositeWorkflow;
    }
}
