package edu.wustl.cse.mobilab.openworkflow.comm;

import edu.wustl.cse.mobilab.openworkflow.workflow.CompositeWorkflow;

public interface FragmentObservable {

    void subscribe(Observer listener);
    void unsubscribe(Observer listener);

    interface Observer {
        void update(CompositeWorkflow oldCompositeWorkflow, CompositeWorkflow newCompositeWorkflow);
    }
}
