package edu.wustl.cse.mobilab.openworkflow.schedule;

import edu.wustl.cse.mobilab.openworkflow.verify.Require;

/**
 * Created by IntelliJ IDEA.
 * User: andykalcic
 * Date: Jan 20, 2009
 * Time: 10:43:07 AM
 * Adding this to test ScheduleManager--revisions may be neccessary.
 */
public class LocationImpl implements Location {

    private String m_sName;

    //----------------------------------------------------------------
    public LocationImpl(String sName) {
        Require.nonempty(sName, "sName");
        m_sName=sName;
    }

    //----------------------------------------------------------------
    @Override
    public boolean equals(Object that) {
        if (this==that) { return true; }
        if (that==null || getClass()!=that.getClass()) { return false; }
        LocationImpl location=(LocationImpl)that;
        if (!m_sName.equals(location.m_sName)) { return false; }
        return true;
    }

    //----------------------------------------------------------------
    @Override
    public int hashCode() {
        return m_sName.hashCode();
    }

    //----------------------------------------------------------------
    @Override
    public String toString() {
        return "{Location \""+m_sName+"\"}";
    }
}
