package edu.wustl.cse.mobilab.openworkflow.schedule;

import edu.wustl.cse.mobilab.openworkflow.shell.PersistenceProvider;
import edu.wustl.cse.mobilab.openworkflow.verify.Assert;
import edu.wustl.cse.mobilab.openworkflow.verify.Require;

//--------------------------------------------------------------------
/** (description of class)
 * @author Created by Louis Thomas on Nov 6, 2008. */
public class LocationManagerImpl implements LocationManager {

    private final PersistenceProvider m_persistenceProvider;

    //----------------------------------------------------------------
    public LocationManagerImpl(PersistenceProvider persistenceProvider) {
        Require.neqNull(persistenceProvider, "persistenceProvider");
        m_persistenceProvider=persistenceProvider;
    }

    //----------------------------------------------------------------
    public void dispose() {
        // nothing to do yet
    }

    //----------------------------------------------------------------
    public Duration getTravelTime(Location startLocation, Location endLocation){
        if (startLocation.equals(endLocation)) {
            return Duration.NONE;
        } else {
            throw Assert.statementNeverExecuted();
        }
    }
}
