package edu.wustl.cse.mobilab.openworkflow.schedule;

//--------------------------------------------------------------------
/** Refers to a specific point in time.
 * @author Created by Louis Thomas on Feb 17, 2009. */
public interface Time extends Comparable<Time> {
    long getValue();
    TimePeriod periodToTime(Time endTime);
    TimePeriod periodOfDuration(Duration duration);
    Time plus(Duration duration);
    Time minus(Duration duration);
    Duration minus(Time earlierTime);
}
