package edu.wustl.cse.mobilab.openworkflow.service;

import edu.wustl.cse.mobilab.openworkflow.util.CollectionUtil;

import java.util.Map;

//--------------------------------------------------------------------
/** (description of class)
 * @author Created by Louis Thomas on Feb 18, 2009. */
public class DivisionService implements SimpleService {

    public static final String DIVIDEND="dividend";
    public static final String DIVISOR="divisor";
    public static final String QUOTIENT="quotient";
    public static final String REMAINDER="remainder";

    //----------------------------------------------------------------
    public Map<String, Object> invoke(Map<String, Object> arguments) {
        Integer dividend=(Integer)arguments.get(DIVIDEND);
        Integer divisor=(Integer)arguments.get(DIVISOR);

        int quotient=dividend/divisor;
        int remainder=dividend%divisor;

        //Map<String, Object> returnValues=new LinkedHashMap<String, Object>();
        //returnValues.put(QUOTIENT, quotient);
        //returnValues.put(REMAINDER, remainder);
        //return returnValues;

        return CollectionUtil.mapFromArray(String.class, Object.class
            , QUOTIENT, quotient
            , REMAINDER, remainder
        );
    }
}
