package edu.wustl.cse.mobilab.openworkflow.shell;

import edu.wustl.cse.mobilab.openworkflow.schedule.Time;
import edu.wustl.cse.mobilab.openworkflow.verify.Require;

//--------------------------------------------------------------------
/** (description of class)
 * @author Created by Louis Thomas on Feb 17, 2009. */
public class SimulationSystemTimeProvider implements SystemTimeProvider {

    private Time m_time;

    public SimulationSystemTimeProvider(Time time) {
        m_time=time;
        Require.neqNull(time, "time");
    }

    public void setTime(Time time) {
        Require.neqNull(time, "time");
        m_time=time;
    }

    public Time getSystemTime() {
        return m_time;
    }
}
