package edu.wustl.cse.mobilab.openworkflow.util;

//--------------------------------------------------------------------
/** Encapulates an object reference so it can be passed and modified.
 * @author Created by Louis Thomas on Mar 20, 2006 */
public class Reference<T> {

    private T m_value;

    public Reference() {
    }

    public Reference(T value) {
        m_value=value;
    }

    public T getValue() {
        return m_value;
    }

    public void setValue(T value) {
        m_value=value;
    }
}
