package edu.wustl.cse.mobilab.openworkflow.workflow;

import java.util.Set;

//--------------------------------------------------------------------
/** Identifies the configurations we require as sinks.
 * @author Created by Louis Thomas on Nov 6, 2008. */
public interface BetaFunction {
    /** From the given set of configurations, returns the subset of
     * that we require to be of sinks of the workflow, and null
     * otherwise. Must never return the empty set. */
    Set<ConfigurationNode> identifyFinalConfigurations(Set<ConfigurationNode> configurationNodes);
}
