package edu.wustl.cse.mobilab.openworkflow.workflow;

import java.util.Set;

//--------------------------------------------------------------------
/** A bipartite directed graph of {@link ConfigurationNode}s and
 * {@link TaskNode}s.
 * @author Created by Louis Thomas on Nov 6, 2008. */
public interface CompositeWorkflow {

    /** Returns an unmodifiable, non-null set. */
    Set<TaskNode> getTaskNodes();
}
