package edu.wustl.cse.mobilab.openworkflow.workflow;

//--------------------------------------------------------------------
/** Maintains a mutable representation of a {@link CompositeWorkflow}.
 * @author Created by Louis Thomas on Dec 2, 2008. */
public interface CompositeWorkflowBuilder extends CompositeWorkflow {
    /** Adds the given task to the composite workflow. Returns
     * true if the task was added and composite workflow changed;
     * false if the task was already part of the workflow and there
     * was no change. */
    boolean addTaskNode(TaskNode taskNode);
}
