package edu.wustl.cse.mobilab.openworkflow.auction;

import edu.wustl.cse.mobilab.openworkflow.util.RecordingMockObject;
import edu.wustl.cse.mobilab.openworkflow.verify.Assert;
import edu.wustl.cse.mobilab.openworkflow.workflow.Task;

//--------------------------------------------------------------------
/** (description of class)
 * @author Created by Louis Thomas on Jan 15, 2009. */
public class MockAuctionManager extends RecordingMockObject implements AuctionManager {

    public void dispose() {
        Assert.statementNeverExecuted();
    }

    public void allocateTask(Task task) {
        recordActivity("solicitNewTask("+task+")");
    }
}
