package edu.wustl.cse.mobilab.openworkflow.service;

import edu.wustl.cse.mobilab.openworkflow.util.RecordingMockObject;
import edu.wustl.cse.mobilab.openworkflow.verify.Assert;
import edu.wustl.cse.mobilab.openworkflow.workflow.ExecutionDataName;

//--------------------------------------------------------------------
/** (description of class)
 * @author Created by Louis Thomas on Jan 22, 2009. */
public class MockExecutionManager extends RecordingMockObject implements ExecutionManager {

    //----------------------------------------------------------------
    public void dispose() {
        Assert.statementNeverExecuted();
    }

    //----------------------------------------------------------------
    public void subscribeData(ExecutionDataName executionDataName, Listener listener) {
        Assert.statementNeverExecuted();
    }

    //----------------------------------------------------------------
    public void unsubscribeData(ExecutionDataName executionDataName, Listener listener) {
        Assert.statementNeverExecuted();
    }

    //----------------------------------------------------------------
    public void declareData(ExecutionDataName executionDataName) {
        Assert.statementNeverExecuted();
    }
}
