package edu.wustl.cse.mobilab.openworkflow.auction;

import java.util.Comparator;
import java.util.SortedSet;

public interface TaskBidComparator extends Comparator<TaskBid> {

    /**
     * Selects the "best" bid for t from the set allBids.get(t) for
     * some meaning of "best".
     *
     * @param taskBids
     * @return the "best" bid for task t in allBids.
     */
    TaskBid selectBestBid(SortedSet<TaskBid> taskBids);
}
