package edu.wustl.cse.mobilab.openworkflow.comm;

import edu.wustl.cse.mobilab.openworkflow.workflow.TaskNode;

//--------------------------------------------------------------------
/** (description of class)
 * @author Created by Louis Thomas on Nov 6, 2008. */
public interface TaskFeasibilityQueryable {
    
    void subscribeTaskFeasibility(TaskNode taskNode, Listener listener);
    void unsubscribeTaskFeasibility(TaskNode taskNode, Listener listener);

    interface Listener {
        void handleTaskIsFeasible();
    }

}
