package edu.wustl.cse.mobilab.openworkflow.util;

import edu.wustl.cse.mobilab.openworkflow.schedule.Time;

public interface TimeNotifier {

    void subscribeTimeNotification(Time time, Listener listener);
    void unsubscribeTimeNotification(Time time, Listener listener);

    interface Listener {
        void notifyTimeReached(Time time);
    }
}