package edu.wustl.cse.mobilab.openworkflow.workflow;

//--------------------------------------------------------------------
/** Identifies configurations that we are willing to use as sources.
 * @author Created by Louis Thomas on Nov 6, 2008. */
public interface AlphaFunction {
    /** Returns true when we are willing to accept the given
     * configuration as a source in a workflow and false otherwise. */
    boolean isInitialConfiguration(ConfigurationNode configurationNode);
}
