package edu.wustl.cse.mobilab.openworkflow.workflow;

//--------------------------------------------------------------------
/** Represents a configuration in a workflow. Configurations are the
 * same if their predicate label is the same.
 * @author Created by Louis Thomas on Nov 6, 2008. */
public interface ConfigurationNode extends Node, java.io.Serializable {

    /** Returns the predicate label for this configuration. This is a
     * placeholder for a more complex representation of the
     * configuration's predicate. */
    String getPredicateLabel();
}
