package edu.wustl.cse.mobilab.openworkflow.workflow;

//--------------------------------------------------------------------
/** An opaque id that identifies a data flow from a task to a task.
 * In the workflow graph, this will actually be as
 * task1-configuration-task2 link. However, as each configuration node
 * has exactly one parent, we don't need to identify task1 as it is
 * implicit. So we currently identify a subscription by
 * "workflow_id.configuration_id.task2_id".
 * @author Created by Amanda Ries on Feb 20, 2009. */
public interface ExecutionDataName {
}