package edu.wustl.cse.mobilab.openworkflow.workflow;

import edu.wustl.cse.mobilab.openworkflow.util.BaseTestCase;

//--------------------------------------------------------------------
/** Tests for {@link ConfigurationNodeImpl}
 * @author Created by Louis Thomas on Dec 3, 2008. */
public class TestConfigurationNodeImpl extends BaseTestCase {

    //----------------------------------------------------------------
    public void testConfigurationNodeImpl() {
        ConfigurationNode configurationNode=new ConfigurationNodeImpl("PredicateLabel");
        assertEquals("PredicateLabel", configurationNode.getPredicateLabel());
        assertEquals(Junction.DISJUNCT, configurationNode.getJunction());
        assertEquals("{ConfigurationNode predicateLabel:\"PredicateLabel\"}", configurationNode.toString());

        ConfigurationNode configurationNode2=new ConfigurationNodeImpl("PredicateLabel2");
        assertFalse(configurationNode.equals(configurationNode2));

        ConfigurationNode configurationNode3=new ConfigurationNodeImpl("PredicateLabel");
        assertEquals(configurationNode, configurationNode3);
    }
}